<div class="container">
    <h1>
        <span class="label label-info">
            <i class="material-icons">calendar_today</i>
            <%= I18n.t("month.mois_#{(@date+15.days).month}") %>
        </span>
    </h1>

    <div class="flex-menu-day">
        
        <!-- Plage de dates -->
        <div style="margin-right: auto">
            <div class="badge">
                <%= I18n.localize @date, format: :long %> -- <%= I18n.localize @date2, format: :long %>
            </div>
        </div>

        <!-- MENU SERVICE -->
        <div>

            <!-- Liste des services -->
            <% @services.each do |service| %>
                <% clr = @current_service.nom == service.nom ? "primary" : "info" %>

                <a href="#" class="btn btn-xs btn-<%= clr %>" role="button">
                    <%= service.nom %>
                </a>
            <% end %>
        </div>

        <!-- MENU NAVIGATION -->
        <div style="flex: 0 0 120px">
            <div class="btn-group">
                <%= link_to '<span data-toggle="tooltip" title="Previous" >
                                <i class="material-icons">chevron_left</i></span>'.html_safe, 
                                month_path(date: (@date+15.days)-1.month), 
                                class: "btn btn-success btn-xs" %>
                <%= link_to '<span data-toggle="tooltip" title="CURRENT" >
                                <i class="material-icons">adjust</i></span>'.html_safe, 
                                month_path(date: Date.today), 
                                class: "btn btn-success btn-xs" %>
                <%= link_to '<span data-toggle="tooltip" title="Next" >
                                <i class="material-icons">chevron_right</i></span>'.html_safe, 
                                month_path(date: (@date+15.days)+1.month), 
                                class: "btn btn-success btn-xs" %>
            </div>
        </div>

        <!-- BOUTON MODE -->
        <% if user_signed_in? && is_manager? %>
            <div>
                <% if @edit_mode or @new_day_mode %>
                    <%= link_to '<span data-toggle="tooltip" title="Quit edition mode">
                                <i class="material-icons">save</i></span>'.html_safe, 
                                month_path(date: (@date+15.days), edit_mode: false, new_day_mode: false), 
                                class: "btn btn-warning btn-xs" %>
                <% else %>
                    <!-- EDIT MODE -->
                    <% test = "<span data-toggle='tooltip' title='Edit'><i class='material-icons'>edit</i></span>" %>
                    
                    <%= link_to test.html_safe, 
                                month_path(date: (@date+15.days), edit_mode: true, new_day_mode: false), 
                                class: "btn btn-warning btn-xs" %>
                    
                    
                    <!-- NEW DAY MODE -->
                    <button title="Add"
                            data-toggle="collapse" 
                            data-target="#ajouts"
                            class="btn btn-warning btn-xs">
                            <i class="material-icons">add_circle_outline</i>
                    </button>
                    <div id="ajouts" class="collapse">
                        <% @ajout = Ajout.new %>
                        <% @mode_edition = false %>
                        <%= render "ajouts/form" %>
                    </div>
                    
                <% end %>
            </div>
        <% end %>


    </div>
</div>